Bug 385781 - Update KStars package to the latest version 2.8.5
Summary: Update KStars package to the latest version 2.8.5
Status: RESOLVED NOT A BUG
Alias: None
Product: neon
Classification: Unclassified
Component: Packages User Edition (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Neon Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-15 15:08 UTC by Jure Repinc
Modified: 2017-11-09 21:18 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jure Repinc 2017-10-15 15:08:56 UTC
I follow the blog of KStars developer Jasem Mutlaq: http://knro.blogspot.com/ and I have noticed that the version of KStars available in KDE Neon is not the latest version. The version available is version 2.7.10 but the latest released one is 2.8.5. Please update the KStars package to the latest released version.
Comment 1 Jasem Mutlaq 2017-10-15 15:10:49 UTC
Well, you could just add my PPA and get the latest KStars/INDI.
Comment 2 Jure Repinc 2017-10-15 15:13:35 UTC
(In reply to Jasem Mutlaq from comment #1)
> Well, you could just add my PPA and get the latest KStars/INDI.
Yeah I did just that after I noticed it :) But most people would probably not know about searching for PPAs and would get an old version.
Comment 3 Harald Sitter 2017-10-15 15:31:20 UTC
Huh?

We have the latest release from Oct 12
http://archive.neon.kde.org/user/pool/main/k/kstars/
Comment 4 Christoph Feck 2017-10-25 13:13:02 UTC
Jasem, which 2.x version is packaged in 17.08 branch? Or put differently, which branch does the 2.8.5 version come from?
Comment 5 Jasem Mutlaq 2017-10-25 14:23:34 UTC
2.7.10 is the version shipping with 17.08
Comment 6 Jonathan Riddell 2017-10-25 14:37:58 UTC
So we are shipping the latest version.

KStars making two separate series of releases is very confusing.  It may not be suitable for KDE Applications.
Comment 7 Christoph Feck 2017-10-25 15:11:10 UTC
The 2.8.x versions are released directly from master branch, so are probably unstable releases, while 2.7.x versions are released from the stable branches.

While this practice (even vs. odd version numbers) may be common for other open source projects, this is unexpected for KDE releases, and confuses users.

Jasem, if my investigations are correct, could you please add a comment to 2.8.x releases that they are unstable and/or used for testing/stabilization only?

If not, could you please discuss reasons for the separate releases on the kde-edu and/or release-team mailing list? It would be a major loss if we couldn't have KStars part of the KDE Applications package, so I am sure we find a solution without taking this step as a last resort.
Comment 8 Jasem Mutlaq 2017-10-25 15:23:53 UTC
KStars have more frequent releases than either kdeedu or kde-applications, it's almost a minor release every couple of weeks. 2.8.7 is planned for release in a few days. It is certainly not synced with KDE Applications release schedule so you can go ahead and drop KStars if it causes a problem. Distributions should then able to pick which version to package.
Comment 9 Jonathan Riddell 2017-10-25 15:57:33 UTC
But where's the source download for the standalone releases?
Comment 10 Jasem Mutlaq 2017-10-25 16:00:25 UTC
There isn't any now as the version shipping with KDE Applications is the one that packagers should use. But in case KStars is dropped from KDE Applications, I'll be making tarballs available for packagers.